-- Uppsala University - Digital Electronics Design with VHDL, 1FA326
-- Copyright (c) 2020 Henrik Alfken <henke.uu.se@inbox.lv>
-- Lab 0pkg - Test bench for AND gate package
library ieee;
use ieee.std_logic_1164.all;

entity TBpkgAND is end TBpkgAND;  -- Closed system.
architecture rtl of TBpkgAND is
  constant clkPeriod : time := 20 ns;
  signal a  : std_logic := '0';
  signal b  : std_logic := '0';
  signal c  : std_logic;
  component topAND port (
    aIN : in std_logic;
    bIN : in std_logic;
    cOUT:out std_logic);
  end component;
begin
  unitUnderTest : topAND port map (
    aIN  => a,
    bIN  => b,
    cOUT => c
  );
  stimulusProcess : process begin
    wait for clkPeriod/2;
    a <= '1';
    wait for clkPeriod;
    a <= '0';
    b <= '1';
    wait for clkPeriod;
    a <= '1';
    wait for clkPeriod;
    a <= '0';
    b <= '0';
    wait;
  end process stimulusProcess;
end rtl;
